Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.bytecode.converter
Class ConverterCompiler

    java.lang.Object
      com.saxonica.bytecode.converter.ConverterCompiler

Direct Known Subclasses:
  AnyTypeToStringConverterCompiler, BooleanToDoubleCompiler, BooleanToFloatCompiler, BooleanToIntegerCompiler, BooleanToStringCompiler, BooleanToUntypedAtomicCompiler, ConverterCompiler.GenericConverterCompiler, DoubleToBooleanCompiler, DoubleToFloatCompiler, DoubleToIntegerCompiler, DoubleToStringCompiler, DoubleToUntypedAtomicCompiler, FloatToBooleanCompiler, FloatToDoubleCompiler, FloatToIntegerCompiler, FloatToStringCompiler, FloatToUntypedAtomicCompiler, IntegerToBooleanCompiler, IntegerToDoubleCompiler, IntegerToFloatCompiler, IntegerToStringCompiler, IntegerToUntypedAtomicCompiler, StringToBooleanCompiler, StringToDoubleCompiler, StringToFloatCompiler, StringToIntegerCompiler, StringToUntypedAtomicCompiler

    public abstract class ConverterCompiler

extends Object

This class generates code to implement a casting conversion.

Nested Class Summary
`static class` | `ConverterCompiler.GenericConverterCompiler`

Constructor Summary
`ConverterCompiler()`

Method Summary
`abstract void` | `compileToItem(CompilerService compiler, Expression expression)`
`void` | `compileToPrimitive(CompilerService compiler, Expression expression, Class requiredClass, OnEmpty onEmpty)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConverterCompiler

    public ConverterCompiler()

Method Detail

### compileToItem

    public abstract void compileToItem(CompilerService compiler,
                                       Expression expression)
                                throws CannotCompileException

  Throws:
    `CannotCompileException`

### compileToPrimitive

    public void compileToPrimitive(CompilerService compiler,
                                   Expression expression,
                                   Class requiredClass,
                                   OnEmpty onEmpty)
                            throws CannotCompileException

  Throws:
    `CannotCompileException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.